For the complete documentation index, see llms.txt. This page is also available as Markdown.

create usdt energy order

The energy required for the USDT transfer paid to Tronify is automatically included. You only need to place an order for the amount of energy required for your actual business transfer.

Endpoint usage

POST https://open.tronify.io/api/tronRent/addTronRentRecord

The fields with * are required, and the fields without * are optional

Request Body

Name
Type
Description

fromAddress*

String

user address(wallet address for buyer)

pledgeAddress*

String

energy receiving address.

pledgeNum*

int

amount of energy, cannot be less than 15000

orderType*

String

ENERGY

sourceFlag*

String

Source channel (Both sides need to agree on a name to represent the channel of the third parties)

tradeType*

String

fastTrade

pledgeDay*

String

Rental Time(unit: day)

values: 0-30

pledgeDay, pledgeHour, and pledgeMinute cannot be 0 simultaneously)

pledgeHour*

String

Rental Time(unit: hour)

values: 0, 1, 3

pledgeMinute*

String

Rental Time(unit: minute)

values: 0, 10

extraTrxNum

String

The amount of additional trx the user wants to receive. Valid values: 0 or in the range [0.8, 500]

pledgeBandwidthNum

String

The amount of additional bandwidth the user wants to receive. If 0 or no passed, it means no bandwidth is required.

{
    "resCode": 100,
    "resMsg": "Success",
    "data": {
        "fromAddress": "TKghVbeEzvrV8GLK3YE1gRrjVHSf8rGB6k",//User wallet address
        "pledgeAddress": "TKghVbeEzvrV8GLK3YE1gRrjVHSf8rGB6k",//User receiving energy address
        "pledgeDay": "0",
        "pledgeHour": "0",
        "pledgeMinute": "10",
        "source": "tronLink",
        "orderType": "ENERGY",
        "orderPrice": 90,
        "pledgeNum": 96400,
        "pledgeTrxNum": "10.512",
        "usdtModeAvailable": true,
        "payCoinCode": "USDT", //Payment Currency
        "payCoinAmt": "3.124527",//payment amount
        "extraTrxNum": "0.8",//The amount of additional trx the user wants to receive
        "pledgeBandwidthNum": "0",//The amount of bandwidth the user wants to obtain
        "activeAccountFee": "0",//the fee of activation address
        "purchaseTRXFee": "0.397105",//the fee of extra trx
        "purchaseBandwidthFee": "0",//the fee of bandwidth
        "purchaseEnergyFee": "2.727422"//the fee of energy
        //...
    }
}

code example

Postman example

Last updated